<template>
  <div class="center-part">
    <!--FEATURED ARTICLE-->
    <div class="actual-thumb">
      <div class="actual-thumb-card">
        <q-card class="thumb-card" flat >
          <q-card-section horizontal>
            <q-img class="col-5" src="https://cdn.quasar.dev/img/parallax2.jpg"/>
            <q-card-section class="col-7">
              <div class="category">
                <div class="category-inner"
                     :style="[category.color === '' ? {'background-color':'#223109;'} : {'background-color' :  category.color}]"
                     v-for="(category, index) in articles[0].category" :key="index">
                    {{category.name}}
                </div>
              </div>
              <div class="inner-top-article">
                <div class="top-title">{{ articles[0].title }}</div>
                <div class="excerpt">{{ articles[0].excerpt }}</div>
              </div>
              <q-btn class="detail classic-btn-format" outline label="Detail" clickable to="/article" />
            </q-card-section>
          </q-card-section>
        </q-card>
      </div>
    </div>
    <!--6th firsts articles-->
    <articles-thumbs :articles="articles" />
    <newsletter-component/>
  </div>
</template>

<script lang="ts">
import { Vue, Component, Prop } from 'vue-property-decorator'
import {Article} from "src/models/Article";
import {Profile} from "src/models/Profil";
import {Category} from "src/models/Category";
import DateFormat from "components/utils/DateFormat.vue";
import ArticlesThumbs from "components/ArticlesThumbs.vue";
import NewsletterComponent from "components/Newsletter.vue";
@Component({
  components: {DateFormat, ArticlesThumbs, NewsletterComponent}
})
export default class mainComponent extends Vue {
  @Prop({ type: Array, default: () => [] }) articles!: Article[];

  private isReady: Boolean = false;
  created(){
    let listCategories = [];
    for (let _i = 0; _i < 3; _i++) {
      let category = new Category();
      category.name = 'categ' + _i;
      switch (_i) {
        case 0:
          category.color = '#223109';
          break;
        case 1:
          category.color = '#F39311';
          break;
        case 2:
          category.color = '#648E20';
          break;
      }
      listCategories.push(category)
    }
    for (let _i = 0; _i < 6; _i++) {
      let article = new Article();
      let profile = new Profile();
      profile.name = 'Flo';
      article.title = 'Knitting time ' + _i;
      article.content = 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent laoreet maximus arcu sit amet semper. In dapibus justo orci, nec volutpat urna dictum eget. Morbi hendrerit quam mauris, vel efficitur enim ullamcorper quis. Ut ac ex nisi. Mauris ante tellus, consectetur vitae consequat et, consectetur et tortor.';
      article.excerpt = "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent laoreet maximus...";
      article.profile = profile;
      article.category = listCategories;
      this.articles.push(article);
    }
    this.isReady = true;
  }

}
</script>

<style scoped>
.backGround-top-div{
  background-image: url("/images/bg01-MORE.jpg");
  background-position: 0 -63vh;
  background-repeat: no-repeat;
  background-size: cover;
  opacity: 0.7;
  width: 100%;
  min-height: 30vh;
  z-index: 1;
  position: relative;
  display: block;
}
.backGround-top-div::before {
  content: "";
  display: block;
  position: absolute;
  z-index: -1;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  /*background: linear-gradient(rgba(50, 71, 16, 1), rgba(100, 142, 32, 1));*/
  background: rgba(50, 71, 16, 0.7);
}
.center-part{
  z-index: 2;
  display: flex;
  flex-direction: column;
}
.actual-thumb{
  width: 100%;
  background-color: white;
  height: 30vh;
  position: relative;
  z-index: 2;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}
.actual-thumb-card{
  width: 70%;
  height: 20vh;
  position: absolute;
  top: -20vh;
  color: #223109;
  z-index: 2;
  background-color: white;
  display: flex;
  flex-direction: row;
}
.thumb-card{
  height: fit-content;
  width: 100%;
  overflow: hidden;
}
.thumb-card {
  border-radius: 0!important;
}
.inner-top-article{
  display: flex;
  justify-content: center;
  flex-direction: column;
  height: 250px;
}
.category{
  position: absolute;
  right: 5px;
  top: 5px;
  border-radius: 10px;
  padding: 1%;
  color: white;
  flex-direction: row;
  display: flex;
}
.category-inner{
  flex: 1;
  padding: 0.2vw 0.5vw;
  border-radius: 10px;
  margin-left: 5px;
}
.top-title{
  font-size: 35px;
  color: #586D35;
  font-weight: bold;
}
.excerpt{
  font-size: 15px;
  color: #223109;
  padding-top: 1vw;
}
.detail{
  position: absolute;
  right: 5px;
  bottom: 5px;
}
</style>
